This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 237918 - SELinux policy does not allow syslogd to write to named pipes
SELinux policy does not allow syslogd to write to named pipes
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-25 22:53 EDT by Hong-Gunn Chew
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-12 13:08:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Hong-Gunn Chew 2007-04-25 22:53:58 EDT
Description of problem:
SELinux policy does not allow syslogd to write to named pipes.

How reproducible:
Everytime

Steps to Reproduce:
1. Create named pipe in /var/log/ (eg. mkfifo /var/log/msgpipe)
2. Edit syslog.conf to use the pipe (eg. *.notice;authpriv.none |/var/log/msgpipe)
3. start syslogd
  
Actual results:
kernel: audit(): avc: denied { read write } for pid=xxx comm="syslogd"
name="msgpipe" dev=xxx ino=xxx scontext=user_u:system_r:syslogd_t:s0
tcontext=user_u:object_r:var_log_t:s0 tclass=fifo_file

Expected results:
syslogd starts with no avc: denied messages.

Additional info:
Enable fifo in policy (policy/modules/system/logging.te) by adding:
allow syslogd_t var_t:fifo_file { ioctl read write };
Comment 1 Daniel Walsh 2007-05-17 13:13:07 EDT
Fixed in selinux-policy-2.4.6-69
Comment 2 Daniel Walsh 2007-09-12 13:08:34 EDT
Moving modified bugs to closed

Note You need to log in before you can comment on or make changes to this bug.